/*******************************************
* Zeus CMD - C++ Tutorial 33 : C++ Strings *
* By Grant James (ZEUS)                    *
* http://www.zeuscmd.com                   *
*******************************************/
#include <iostream>
#include <stdlib.h>
#include <string>

using namespace std;

int main()
{
	string str = "Hello World";
	cout << str << endl;

	cout << "String Length : ";
	cout << (int)str.length() << endl;

	cout << "Appended String : ";
	str += ", Bob!";
	cout << str << endl;

	cout << "First position of o : ";
	cout << (int)str.find_first_of('o') << endl;
	cout << "Last position of o : ";
	cout << (int)str.find_last_of('o') << endl;

	cout << "World Substring : ";
	cout << (int)str.find("World") << endl;

	string str1 = "Hello";
	string str2 = "Hello";

	if (str1 == str2)
		cout << "Strings are the same." << endl;

	if (!str1.compare(str2))
		cout << "Strings are the same."
		<< endl;

	cout << "String Copy : ";
	str2 = str1;
	cout << str2 << endl;

	cout << "Substring Copy : ";
	str1 = str.substr(6, 5);
	cout << str1 << endl;

	str.replace(6, 5, "Universe");
	cout << str << endl;

	cout << (int)strlen(str.c_str()) << endl;

	system("pause");

	return 0;
}